package com.renrenliao.im.im

/**
 **@ClassName ImEnumType
 **@Description
 **@Author gan
 **@Date 2022/6/17 14:41
 **/

enum class MsgType(val value: Int,val mark: String){
    SIGNIN(0,"用户登陆"),
    ONLINE_NOTIFY(1,"用户上线通知"),
    OFFLINE_NOTIFY(2,"用户下线通知"),
    ACK_NOTIFY(3,"收到回执"),
    KEEPALIVE(4,"心跳"),
    TEXT(5,"文本消息"),
    IMAGE(6,"图片消息"),
    REDPACKET(7,"红包"),
    LOGOUT(13,"退出登录"),
    RECALL(14,"撤回消息")
}


enum class AlarmType(val value:Int,val mark:String){
    UNDEFINE(0,"undefine"),
    ADDFRIENDREQUEST(1,"添加好友请求"),
    ADDFRIENDBEREJECT(2,"加好友被拒绝"),
    REVICEMESSAGE(4,"收到的好友聊天消息"),
    SYSTEMDEVTEAM(6,"Help"),
    SYSTEMQNA(7,"Q&A"),
    TEMPCHATMESSAGE(8,"临时聊天"),
    GROUPCHATMESSAGE(9,"群聊")
}

enum class RouteType(val value: Int,val mark: String){
    SIGNIN(0,"登录"),
    KEEPALIVE(1,"心跳"),
    NORMAL(2,"普通消息"),
    LOGOUT(3,"退出登录"),
    ACK(4,"qos应答")
}

enum class SignInType(val value: Int,val mark:String){
    SUCCEED(200,"成功"),
    ERROR(400,"失败"),
    REPEAT(401,"重复登陆"),
    KICKOFF(402,"踢下线")
}

enum class ChatType(val value: Int,val mark: String){
    SINGLE(0,"单聊"),
    TEMP(1,"临时聊天"),
    GROUP(2,"群聊"),
}